(()=>{"use strict";const a=(a=>a)`
  a {
    color: white;
    opacity: 0.9;
    text-decoration: none;
    cursor: pointer;
  }

  a:hover {
    opacity: 1;
  }

  footer,
  nav {
    display: flex;
    flex-direction: column;
    background: var(--light-gray-grad);
    color: white;
    fill: white;
  }

  nav {
    position: sticky;
    top: 0;
    min-height: 60px;
    height: 100px;
    display: flex;
    z-index: 999;
  }
  nav a {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    line-height: 1.5;
    font-weight: 500;
    white-space: nowrap;
  }

  @media (max-width: 980px) {
    nav {
      height: 60px;
    }
  }
`;class e extends HTMLElement{constructor(e,t){super();const n=this.attachShadow({mode:"open"}),s=document.createElement("style");s.textContent=a+t,n.appendChild(s),n.appendChild(e)}}const t=(a,{width:e,height:t})=>a.map((({tooltip:a,label:n,href:s,svgData:i},l)=>`<a style="${l>0?"padding: 0 16px":"padding-right: 24px;"}" title="${a||""}" href="${s}">\n      <svg fill='white' width="${e}" height="${t}" viewBox="0 0 65 45">\n        <path fill-rule="evenodd" d="${i}" />\n      </svg>\n      ${n||""}\n    </a>`)).join(""),n=JSON.parse('{"I":[{"title":"Documentation","links":[{"name":"What is Sway?","href":"https://docs.beta.swayme.xyz"},{"name":"App Alternatives","href":"http://docs.beta.swayme.xyz/intro/alternatives"}]},{"title":"Community","links":[{"name":"Mastodon","href":"https://mastodon.online/@sway"},{"name":"Matrix Room","href":"https://app.element.io/#/room/#sway:matrix.org"},{"name":"Subreddit","href":"https://reddit.com/r/sway_me"}]},{"title":"Support","links":[{"name":"Support a feature","href":"https://docs.beta.swayme.xyz/needed-features"},{"name":"Free Stickers","href":"http://beta.swayme.xyz/free"},{"name":"Buy Merch","href":"https://www.redbubble.com/people/swayme/shop"}]},{"title":"Getting Involved","links":[{"name":"Onboarding","href":"https://gitlab.com/sway-me/home/-/wikis/Onboarding"},{"name":"Contributor Wiki","href":"https://gitlab.com/sway-me/home/-/wikis/Contributing"},{"name":"Sway Kanbans","href":"https://gitlab.com/groups/sway-me/-/boards/"}]},{"title":"Humans","links":[{"name":"Development","href":"https://beta.swayme.xyz/humans"},{"name":"Design","href":"http://beta.swayme.xyz/humans"},{"name":"Product","href":"http://beta.swayme.xyz/humans"}]},{"title":"Press","links":[{"name":"News","href":"http://beta.swayme.xyz/news"},{"name":"Logos + Artwork","href":"https://beta.swayme.xyz/press"},{"name":"Coverage","href":"https://beta.swayme.xyz/press"}]}],"c":[{"tooltip":"gitlab","href":"https://gitlab.com/sway-me","svgData":"M10.287 11.545L6.675.429c-.185-.572-.994-.572-1.18 0L.06 17.153a1.241 1.241 0 00.45 1.388L16.285 30l15.772-11.46c.435-.315.617-.876.45-1.387L27.074.429c-.186-.572-.995-.572-1.18 0L22.28 11.544H10.287z"},{"tooltip":"reddit","href":"https://reddit.com/r/sway_me","svgData":"M26.386 3.997l.248.06c.031 1.788 1.46 3.228 3.218 3.228 1.777 0 3.218-1.472 3.218-3.288 0-1.816-1.441-3.288-3.218-3.288-1.38 0-2.556.886-3.014 2.13l-.172-.041a1884.025 1884.025 0 00-2.866-.695 562.219 562.219 0 00-2.923-.697 16.667 16.667 0 00-.34-.072h-.001a.602.602 0 00-.579.232.78.78 0 00-.063.096c-.023.04-.044.085-.06.122-.036.079-.08.185-.129.308-.099.25-.232.603-.386 1.02-.308.836-.708 1.948-1.103 3.058a807.427 807.427 0 00-1.267 3.59c-3.805.102-7.258 1.135-9.875 2.77a3.964 3.964 0 00-5.743-.376c-1.651 1.52-1.784 4.118-.298 5.804.347.393.75.702 1.187.925a7.22 7.22 0 00-.127 1.347c0 5.788 6.934 10.48 15.488 10.48 8.554 0 15.489-4.692 15.489-10.48 0-.484-.049-.96-.142-1.426a4.04 4.04 0 00.74-.541c1.652-1.52 1.785-4.118.299-5.804a3.964 3.964 0 00-5.985.005c-2.6-1.594-6.003-2.6-9.75-2.704l.041-.12c.292-.831.683-1.94 1.077-3.049.395-1.109.792-2.216 1.098-3.044.134-.363.25-.67.339-.898l.558.131a1517.635 1517.635 0 015.04 1.217zm3.466-2.055c-1.111 0-2.012.92-2.012 2.055 0 1.135.9 2.055 2.012 2.055 1.11 0 2.01-.92 2.01-2.055 0-1.135-.9-2.055-2.01-2.055zm-9.507.609l.012.002-.012-.002zm8.66 10.603c1.678 1.239 2.92 2.751 3.566 4.427a2.92 2.92 0 00.5-4.297 2.775 2.775 0 00-4.065-.13zm-22.943.07a2.774 2.774 0 00-3.923-.153 2.92 2.92 0 00-.209 4.063c.188.213.4.391.63.533.623-1.678 1.845-3.196 3.502-4.443zm6.29 2.486c.477 0 .944.144 1.34.415.397.271.707.656.89 1.107.182.45.23.946.137 1.424a2.482 2.482 0 01-.66 1.263c-.338.345-.768.58-1.237.675a2.367 2.367 0 01-1.394-.14 2.425 2.425 0 01-1.084-.909 2.504 2.504 0 01.3-3.113 2.388 2.388 0 011.707-.722zm12.203.415a2.378 2.378 0 00-3.048.307 2.504 2.504 0 00-.3 3.113c.265.406.642.722 1.083.908.44.187.926.236 1.394.14.469-.095.899-.33 1.236-.674a2.515 2.515 0 00.523-2.687 2.456 2.456 0 00-.888-1.107zm-12.806 9.16l.361-.493c.361-.494.36-.495.36-.495l.005.003.008.007.012.008.085.061a11.3 11.3 0 001.614.917c1.074.497 2.5.95 3.994.856h.007a8.608 8.608 0 004.891-1.845l.738.976a9.799 9.799 0 01-5.565 2.1c-1.764.11-3.394-.423-4.562-.963a12.5 12.5 0 01-1.799-1.024 6.046 6.046 0 01-.107-.076l-.013-.01-.016-.012-.008-.006-.003-.002-.002-.001z"},{"tooltip":"matrix","href":"https://app.element.io/#/room/#sway:matrix.org","svgData":"M4.84 33.734v-1.738H2.625V2.238h2.213V.5H.776v33.234H4.84zM27.775 2.238V.5h4.063v33.234h-4.063v-1.738h2.214V2.238h-2.214zM21.999 23.75h3.157a.192.192 0 00.192-.191v-7.693c0-.762-.11-1.425-.325-1.972-.218-.552-.527-1.007-.919-1.352a3.614 3.614 0 00-1.408-.752 6.366 6.366 0 00-1.742-.23c-.835 0-1.57.206-2.185.61-.501.33-.92.707-1.25 1.125-.323-.6-.766-1.033-1.32-1.294a4.838 4.838 0 00-2.072-.44c-.785 0-1.494.172-2.106.513a4.589 4.589 0 00-1.26 1.042v-1.053a.191.191 0 00-.192-.191H7.59a.191.191 0 00-.191.191v11.496c0 .105.085.191.191.191h3.157a.191.191 0 00.191-.191v-6.671c0-.532.077-.965.227-1.286.15-.32.33-.567.536-.733.208-.167.424-.282.642-.342.226-.062.408-.093.539-.093.463 0 .813.075 1.04.224.227.15.385.342.483.588.102.26.162.55.176.861.014.337.022.675.022 1.004v6.448c0 .105.085.191.191.191h3.157a.191.191 0 00.192-.191v-6.404c0-.346.026-.692.076-1.028.048-.323.145-.615.288-.868a1.67 1.67 0 01.58-.599c.242-.15.571-.226.977-.226.408 0 .732.066.961.196.227.13.4.306.515.524.12.228.196.503.223.817.03.334.044.695.044 1.073v6.515c0 .105.086.191.192.191z"},{"tooltip":"mastodon","href":"https://mastodon.online/@sway","svgData":"M19.966 23.575c3.763-.449 7.04-2.765 7.45-4.88.65-3.335.596-8.136.596-8.136 0-6.508-4.268-8.416-4.268-8.416C21.592 1.156 17.896.741 14.057.71h-.095c-3.84.032-7.532.447-9.685 1.434 0 0-4.268 1.908-4.268 8.416 0 .395-.002.81-.004 1.242-.006 1.2-.013 2.53.022 3.92.155 6.364 1.168 12.636 7.059 14.194 2.716.718 5.048.868 6.926.765 3.405-.188 5.317-1.214 5.317-1.214l-.112-2.468s-2.434.766-5.167.673c-2.708-.093-5.567-.292-6.005-3.613a6.803 6.803 0 01-.06-.932s2.658.65 6.027.804c2.06.094 3.992-.12 5.954-.355zm3.011-4.631v-7.88c0-1.61-.41-2.89-1.235-3.837-.85-.947-1.963-1.432-3.346-1.432-1.6 0-2.81.614-3.61 1.842l-.78 1.303-.778-1.303c-.8-1.228-2.012-1.842-3.61-1.842-1.383 0-2.497.485-3.347 1.432-.825.947-1.235 2.226-1.235 3.837v7.88H8.16v-7.648c0-1.613.68-2.431 2.038-2.431 1.502 0 2.254.97 2.254 2.89v4.187h3.107v-4.187c0-1.92.753-2.89 2.255-2.89 1.358 0 2.037.818 2.037 2.43v7.649h3.125z"}]}'),s=(a=>a)`
  .footer-container {
    display: flex;
    flex-direction: column;
    padding: 4rem 4rem 3rem;
  }
  .footer-copy {
    text-align: center;
    font-size: 90%;
    margin-bottom: 2rem;
  }

  .footer-icons {
    display: flex;
    justify-content: flex-end;
  }

  .footer-menus {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-bottom: 4rem;
  }
  .footer-menus h4 {
    margin-bottom: 43px;
  }

  @media (max-width: 980px) {
    .footer-icons {
      justify-content: center;
    }
  }
`,i=JSON.parse('{"c":[{"tooltip":"home","href":"https://beta.swayme.xyz","svgData":"M32.456 1.053a3.595 3.595 0 00-5.083 0l-9.32 9.32a3.594 3.594 0 000 5.084L34.69 32.093a1.416 1.416 0 102.003-2.003L20.056 13.454a.762.762 0 010-1.079l9.32-9.32a.762.762 0 011.078 0l5.82 5.821a5.01 5.01 0 102.013-1.992l-5.83-5.831zm-2.733 10.006a1.416 1.416 0 00-2.003 2.003l17.1 17.099a.763.763 0 010 1.078l-9.706 9.705a.762.762 0 01-1.078 0l-7.547-7.546a5.01 5.01 0 10-2.11 1.895l7.654 7.654a3.595 3.595 0 005.084 0l9.705-9.705a3.595 3.595 0 000-5.084l-17.1-17.1zm-5.859 21.143a1.417 1.417 0 00-.462.4 2.179 2.179 0 11.462-.4zM40.662 9.119a2.179 2.179 0 100 4.357 2.179 2.179 0 000-4.357z"},{"label":"personal services","href":"https://docs.beta.swayme.xyz/personal-services/getting-started","svgData":"M54 4.545A3.549 3.549 0 0050.455 1h-36.91A3.549 3.549 0 0010 4.545v8.564c0 1.046.463 1.976 1.183 2.622A3.517 3.517 0 0010 18.354v8.564c0 1.046.463 1.976 1.183 2.623A3.516 3.516 0 0010 32.163v8.565a3.549 3.549 0 003.545 3.545h36.91a3.549 3.549 0 003.544-3.545v-8.565a3.513 3.513 0 00-1.183-2.622A3.513 3.513 0 0054 26.92v-8.565a3.513 3.513 0 00-1.183-2.622A3.515 3.515 0 0054 13.11V4.545zm-1.845 36.182c0 .937-.763 1.7-1.7 1.7h-36.91a1.7 1.7 0 01-1.7-1.699v-8.565c0-.936.763-1.7 1.7-1.7h36.91c.937 0 1.7.764 1.7 1.7v8.565zm-38.61-12.11a1.7 1.7 0 01-1.7-1.698v-8.565c0-.937.763-1.7 1.7-1.7h36.91c.937 0 1.7.763 1.7 1.7v8.564c0 .937-.763 1.7-1.7 1.7h-36.91zm.1-13.809c-.95 0-1.8-.774-1.8-1.698V4.545c0-.937.763-1.7 1.7-1.7h36.91c.937 0 1.7.763 1.7 1.7v8.564c0 .937-.763 1.7-1.7 1.7h-36.81zm4.182-9.447a3.47 3.47 0 00-3.466 3.466 3.47 3.47 0 003.466 3.467 3.47 3.47 0 003.467-3.467 3.47 3.47 0 00-3.467-3.466zm.037 5.124a1.623 1.623 0 01-1.62-1.62c0-.895.727-1.622 1.62-1.622.894 0 1.621.727 1.621 1.621s-.727 1.621-1.62 1.621zM14.71 22.634a3.47 3.47 0 013.466-3.467 3.47 3.47 0 013.467 3.467 3.47 3.47 0 01-3.466 3.466 3.47 3.47 0 01-3.467-3.466zm1.882.037c0 .894.728 1.62 1.621 1.62.894 0 1.621-.726 1.621-1.62 0-.894-.727-1.621-1.62-1.621-.894 0-1.622.727-1.622 1.62zM14.37 36.43a3.47 3.47 0 013.467-3.466 3.47 3.47 0 013.466 3.467 3.47 3.47 0 01-3.466 3.466 3.47 3.47 0 01-3.467-3.466zm1.883.038c0 .893.727 1.62 1.62 1.62.894 0 1.622-.727 1.622-1.62 0-.895-.728-1.622-1.621-1.622-.894 0-1.621.727-1.621 1.621zm18.664-.205a.923.923 0 100-1.845.923.923 0 000 1.845zm3.83-.923a.923.923 0 11-1.846 0 .923.923 0 011.846 0zm2.907 0a.923.923 0 11-1.846 0 .923.923 0 011.846 0zm2.907 0a.923.923 0 11-1.846 0 .923.923 0 011.846 0zm2.907 0a.923.923 0 11-1.845 0 .923.923 0 011.845 0zm1.454 2.18a.923.923 0 11-1.846 0 .923.923 0 011.846 0zm-2.907 0a.923.923 0 11-1.846 0 .923.923 0 011.846 0zm-2.908 0a.923.923 0 11-1.845 0 .923.923 0 011.845 0zm-2.907 0a.923.923 0 11-1.845 0 .923.923 0 011.845 0zm-2.907 0a.923.923 0 11-1.845 0 .923.923 0 011.845 0zm-1.113-15.977a.923.923 0 11-1.845 0 .923.923 0 011.845 0zm1.985.922a.923.923 0 100-1.845.923.923 0 000 1.845zm2.907 0a.923.923 0 100-1.845.923.923 0 000 1.845zm2.907 0a.923.923 0 100-1.845.923.923 0 000 1.845zm2.907 0a.923.923 0 100-1.845.923.923 0 000 1.845zm1.454 2.18a.923.923 0 100-1.845.923.923 0 000 1.846zm-2.907 0a.923.923 0 100-1.845.923.923 0 000 1.846zm-2.907 0a.923.923 0 100-1.845.923.923 0 000 1.846zm-2.908 0a.923.923 0 100-1.845.923.923 0 000 1.846zm-2.907 0a.923.923 0 100-1.845.923.923 0 000 1.846zM34.907 8.66a.923.923 0 100-1.846.923.923 0 000 1.846zm3.83-.923a.923.923 0 11-1.845 0 .923.923 0 011.845 0zm2.907 0a.923.923 0 11-1.845 0 .923.923 0 011.845 0zm2.908 0a.923.923 0 11-1.846 0 .923.923 0 011.846 0zm2.907 0a.923.923 0 11-1.846 0 .923.923 0 011.846 0zm1.453 2.18a.923.923 0 11-1.845 0 .923.923 0 011.845 0zm-2.907 0a.923.923 0 11-1.845 0 .923.923 0 011.845 0zm-2.907 0a.923.923 0 11-1.845 0 .923.923 0 011.845 0zm-2.907 0a.923.923 0 11-1.846 0 .923.923 0 011.846 0zm-2.908 0a.923.923 0 11-1.845 0 .923.923 0 011.845 0z"},{"label":"mobile","href":"https://docs.beta.swayme.xyz/mobile/getting-started","svgData":"M26.151 4.212c.098.39.448.663.849.663h10a.875.875 0 00.849-.663l.615-2.462H40.5c.967 0 1.75.784 1.75 1.75v37a1.75 1.75 0 01-1.75 1.75h-17a1.75 1.75 0 01-1.75-1.75v-37c0-.966.784-1.75 1.75-1.75h2.036l.615 2.462zM44 3.5A3.5 3.5 0 0040.5 0h-17A3.5 3.5 0 0020 3.5v37a3.5 3.5 0 003.5 3.5h17a3.5 3.5 0 003.5-3.5v-37zm-7.34-1.75h-9.32l.343 1.375h8.634l.344-1.375zM24 39.625a.875.875 0 000 1.75h3.5a.875.875 0 000-1.75H24zm6 0a.875.875 0 000 1.75h.5a.875.875 0 000-1.75H30z"},{"label":"workstation","href":"https://docs.beta.swayme.xyz/workstation/getting-started","svgData":"M62.445 4.934v31.607h1.526c.711 0 1.29.58 1.29 1.29v2.228a3.695 3.695 0 01-3.69 3.691H25.605a.71.71 0 010-1.42h35.966a2.273 2.273 0 002.271-2.27v-2.1H1.67v2.1a2.274 2.274 0 002.272 2.27h17.825a.71.71 0 010 1.42H3.941A3.695 3.695 0 01.25 40.06V37.83c0-.71.58-1.29 1.29-1.29h1.526V4.934A4.69 4.69 0 017.75.25h11.406a.71.71 0 010 1.42H7.75a3.268 3.268 0 00-3.264 3.264v31.607h56.54V4.934c0-1.8-1.465-3.265-3.265-3.265H22.994a.71.71 0 010-1.419h34.767a4.69 4.69 0 014.684 4.684zm-5.77 1.976c0-.491-.399-.89-.89-.89H9.727c-.492 0-.89.399-.89.89V31.3c0 .491.398.89.89.89h46.058c.491 0 .89-.399.89-.89V6.91zM7.417 31.3V6.91a2.313 2.313 0 012.31-2.31h46.058a2.313 2.313 0 012.31 2.31V31.3a2.313 2.313 0 01-2.31 2.31H9.727a2.313 2.313 0 01-2.31-2.31z"},{"label":"tv","href":"https://docs.beta.swayme.xyz/tv/getting-started","svgData":"M38 39.2H11.6A3.604 3.604 0 018 35.6V3.345A3.35 3.35 0 0111.345 0h26.91A3.35 3.35 0 0141.6 3.345V35.6a3.604 3.604 0 01-3.6 3.6zM10.112 2.112c-.327.327-.511.77-.512 1.233v26.91A1.748 1.748 0 0011.345 32h26.91A1.748 1.748 0 0040 30.255V3.345A1.747 1.747 0 0038.255 1.6h-26.91c-.462 0-.906.185-1.233.512zM11.345 33.6c-.616 0-1.22-.17-1.745-.493V35.6a2.002 2.002 0 002 2h.4v-2.4h1.6v2.4h1.6v-2.4h1.6v2.4h1.6v-2.4H20v2.4h1.6v-2.4h1.6v2.4H38a2.003 2.003 0 002-2v-2.493a3.325 3.325 0 01-1.745.493h-26.91zm6.686-8h13.538a6.892 6.892 0 00.494-13.767A7.569 7.569 0 0019.144 8.94a5.286 5.286 0 00-4.89 4.002A6.892 6.892 0 0018.031 25.6zm-2.662-11.466a.798.798 0 00.385-.553 3.686 3.686 0 013.741-3.044.803.803 0 00.647-.299 5.969 5.969 0 0110.508 2.537.8.8 0 00.784.64h.136a5.292 5.292 0 010 10.585H18.03a5.292 5.292 0 01-2.661-9.866zm12.542 7.322a5.6 5.6 0 01-3.111.944 5.606 5.606 0 01-5.6-5.6 5.6 5.6 0 118.711 4.656zm-.889-7.982a4 4 0 10-4.444 6.653 4 4 0 004.444-6.653zM23.2 19.2v-4.8l4 2.4-4 2.4zm12.8 16h1.6v1.6H36v-1.6zm-1.6 0h-1.6v1.6h1.6v-1.6zm-4.8 0h1.6v1.6h-1.6v-1.6zm15.845-19.355A2.202 2.202 0 0147 15.2h6.8a2.202 2.202 0 012.2 2.2v24.4a2.202 2.202 0 01-2.2 2.2H47a2.203 2.203 0 01-2.2-2.2V17.4c0-.583.233-1.142.645-1.555zm6.556 2.555L52 16.8h-3.2v1.6H52zm2.223 23.824a.6.6 0 00.176-.424V17.4a.6.6 0 00-.6-.6h-.2v1.6A1.602 1.602 0 0152 20h-3.2a1.602 1.602 0 01-1.6-1.6v-1.6H47a.6.6 0 00-.6.6v24.4a.6.6 0 00.6.6h6.8c.16 0 .312-.063.424-.176zM50.4 21.874a3.063 3.063 0 100 6.127 3.063 3.063 0 000-6.127zm1.034 4.098a1.464 1.464 0 01-2.385-1.595 1.463 1.463 0 112.385 1.595zM49.6 31.2H48v1.6h1.6v-1.6zm1.6 1.6v-1.6h1.6v1.6h-1.6zm-1.6 1.6H48V36h1.6v-1.6zm1.6 1.6v-1.6h1.6V36h-1.6zm-1.6 1.6H48v1.6h1.6v-1.6zm1.6 1.6v-1.6h1.6v1.6h-1.6zM49.443 7.357A8.73 8.73 0 0152 13.52h-1.6a7.128 7.128 0 00-7.12-7.12V4.8a8.73 8.73 0 016.163 2.557zm-2.089 6.163h1.6a5.68 5.68 0 00-5.674-5.674v1.6a4.078 4.078 0 014.074 4.074zm-3.108-2.333c.307.127.585.313.819.548a2.508 2.508 0 01.739 1.785h-1.6a.923.923 0 00-.924-.923v-1.6c.332-.001.66.063.966.19z"},{"label":"cast","href":"https://docs.beta.swayme.xyz/cast/getting-started","svgData":"M16.534 0A3.534 3.534 0 0013 3.534v30.334a3.534 3.534 0 003.534 3.534h4.662v.527c0 3.626 3.013 6.576 6.716 6.576a6.745 6.745 0 004.75-1.926 6.465 6.465 0 001.967-4.65V18.947c0-1.995 1.658-3.62 3.696-3.62.986 0 1.914.377 2.613 1.06a3.558 3.558 0 011.082 2.56v8.534h-1.18c-1.55 0-2.81 1.235-2.81 2.753v9.402c0 .266.22.482.492.482h.575v4.4c0 .266.22.482.493.482h7.88a.487.487 0 00.493-.482v-4.4h.576a.487.487 0 00.492-.482v-9.402c0-1.518-1.26-2.753-2.811-2.753h-1.18v-7.57a.487.487 0 00-.492-.482.487.487 0 00-.492.483v7.569h-1.051v-8.534a4.506 4.506 0 00-1.371-3.241 4.703 4.703 0 00-3.31-1.342c-2.58 0-4.68 2.056-4.68 4.583V37.93a5.517 5.517 0 01-1.678 3.968 5.757 5.757 0 01-4.054 1.644c-3.16 0-5.73-2.518-5.73-5.612v-.527h1.05v.527c0 2.527 2.1 4.583 4.68 4.583a4.699 4.699 0 003.31-1.343 4.505 4.505 0 001.371-3.24V18.947c0-3.095 2.571-5.612 5.731-5.612 1.53 0 2.97.583 4.053 1.643a5.517 5.517 0 011.608 3.083.49.49 0 00.563.401.484.484 0 00.41-.551 6.469 6.469 0 00-1.885-3.615 6.747 6.747 0 00-4.748-1.926c-3.704 0-6.717 2.95-6.717 6.577V37.93c0 .966-.384 1.875-1.082 2.559a3.71 3.71 0 01-2.614 1.06c-2.037 0-3.695-1.624-3.695-3.62v-.526H26.9a3.534 3.534 0 003.534-3.534V3.534A3.534 3.534 0 0026.9 0H16.534zm-2.12 3.534c0-1.171.949-2.12 2.12-2.12h10.367c1.17 0 2.12.949 2.12 2.12v30.334a2.12 2.12 0 01-2.12 2.12H16.534a2.12 2.12 0 01-2.12-2.12V3.534zm25.668 40.502h6.896v-3.918h-6.896v3.917zm-1.068-4.883h9.032v-8.92c0-.985-.819-1.787-1.826-1.787h-5.38c-1.007 0-1.826.802-1.826 1.788v8.92zm-14.94-17a4.305 4.305 0 01-5.354-.517 4.114 4.114 0 01-1.244-2.935c0-.821.25-1.624.715-2.307a4.224 4.224 0 011.903-1.53 4.325 4.325 0 012.45-.236 4.27 4.27 0 012.172 1.137c.593.58.997 1.32 1.16 2.126.164.805.08 1.64-.24 2.399a4.173 4.173 0 01-1.563 1.864zm-.674-5.918a3.075 3.075 0 00-3.824.37 2.938 2.938 0 00-.888 2.096c0 .587.178 1.16.51 1.648.334.488.807.868 1.36 1.092a3.088 3.088 0 001.75.169 3.05 3.05 0 001.551-.812c.424-.415.712-.943.83-1.518a2.909 2.909 0 00-.173-1.714 2.982 2.982 0 00-1.116-1.331zm-2.894 4.245v-3.559l3.029 1.78-3.03 1.78z"},{"label":"speaker","href":"https://docs.beta.swayme.xyz/speaker/getting-started","svgData":"M17.929 0H41.5a3.933 3.933 0 013.929 3.929l.055 5.113a8.552 8.552 0 015.117 2.469.733.733 0 11-1.038 1.037 7.121 7.121 0 00-4.226-2.048h-1.408v-.025a7.123 7.123 0 00-4.477 2.073.733.733 0 01-1.037-1.037 8.552 8.552 0 015.315-2.489c.051-.005.113-.008.182-.011l-.055-5.082A2.357 2.357 0 0041.5 1.57H17.929A2.357 2.357 0 0015.57 3.93V40.07a2.357 2.357 0 002.358 2.358H41.5a2.357 2.357 0 002.357-2.358l.069-17.874a.7.7 0 01.7-.697h.171a.7.7 0 01.7.703L45.43 40.07a3.936 3.936 0 01-3.143 3.85L37.57 44H21.857l-4.714-.079A3.936 3.936 0 0114 40.071V3.93A3.933 3.933 0 0117.929 0zm11.785 15.714c-6.943 0-12.571 5.629-12.571 12.572.008 6.94 5.632 12.563 12.571 12.571 6.943 0 12.572-5.628 12.572-12.571s-5.629-12.572-12.572-12.572zm0 23.572c-6.075 0-11-4.925-11-11 .007-6.073 4.928-10.994 11-11 6.075 0 11 4.925 11 11s-4.925 11-11 11zm-9.428-11a9.429 9.429 0 119.428 9.428 9.439 9.439 0 01-9.428-9.428zm1.571 0a7.857 7.857 0 107.857-7.858 7.866 7.866 0 00-7.857 7.858zm7.857-25.143a5.5 5.5 0 00-5.5 5.5 5.506 5.506 0 005.5 5.5 5.5 5.5 0 000-11zm0 9.428a3.929 3.929 0 110-7.857 3.929 3.929 0 010 7.857zm-2.357-3.928a2.357 2.357 0 114.714 0 2.357 2.357 0 01-4.714 0zm1.572 0a.786.786 0 101.571 0 .786.786 0 00-1.571 0zm.785 15.714a3.929 3.929 0 100 7.857 3.929 3.929 0 000-7.857zm0 6.286a2.357 2.357 0 110-4.714 2.357 2.357 0 010 4.714zM47.878 15.27a.733.733 0 000-1.037 4.764 4.764 0 00-6.74 0 .733.733 0 101.037 1.037 3.298 3.298 0 014.666 0 .733.733 0 001.037 0zm-4.343 1.361a1.374 1.374 0 012.348.973c0 1.216-1.481 1.838-2.348.972a1.374 1.374 0 010-1.945z"},{"label":"watch","href":"https://docs.beta.swayme.xyz/watch/getting-started","svgData":"M41.875 21.055a1.374 1.374 0 10-1.944 1.944c.866.866 2.347.245 2.347-.972 0-.367-.143-.713-.403-.972zm2.398-2.398a.733.733 0 11-1.037 1.037 3.298 3.298 0 00-4.666 0 .733.733 0 01-1.038-1.037 4.764 4.764 0 016.741 0zm2.723-2.723a8.552 8.552 0 00-5.388-2.495 4.307 4.307 0 00-3.574-3.704l-1-7.205A2.946 2.946 0 0034.127 0h-9.613a2.946 2.946 0 00-2.906 2.53l-.38 2.741a.718.718 0 00-.057.409l-.564 4.055A4.305 4.305 0 0017 13.978v16.044a4.305 4.305 0 003.608 4.243l.564 4.055a.718.718 0 00.056.409l.381 2.741A2.946 2.946 0 0024.515 44h9.613a2.946 2.946 0 002.905-2.53l1.001-7.205a4.305 4.305 0 003.608-4.243v-3.714a.733.733 0 00-1.466 0v3.715a2.835 2.835 0 01-2.832 2.832H21.299a2.835 2.835 0 01-2.832-2.832V13.977a2.835 2.835 0 012.832-2.832h11.019a.733.733 0 000-1.466H22.097l.468-3.373h4.556a.733.733 0 000-1.467H22.77l.293-2.107c.1-.721.724-1.265 1.453-1.265h9.613c.728 0 1.352.544 1.453 1.265l.965 6.947h-.54a.733.733 0 000 1.466h1.338c1.38 0 2.531.992 2.78 2.3a8.552 8.552 0 00-5.314 2.49.733.733 0 001.037 1.036 7.146 7.146 0 0110.112 0 .733.733 0 001.037-1.037zM35.58 41.268a1.473 1.473 0 01-1.453 1.265h-9.613a1.473 1.473 0 01-1.453-1.265l-.293-2.107h4.352a.733.733 0 100-1.467h-4.556l-.468-3.373h14.449l-.965 6.947z"},{"label":"dev services","href":"https://docs.beta.swayme.xyz/dev-services/getting-started","svgData":"M19.167 31.333h.916a.917.917 0 000-1.833h-.916a7.34 7.34 0 01-7.334-7.333c0-4.045 3.29-7.334 7.48-7.334a.918.918 0 00.908-.788C21.042 8.225 26.106 3.833 32 3.833c4.607 0 8.835 2.686 10.775 6.84.142.307.441.51.78.528 4.83.268 8.612 4.28 8.612 9.132 0 4.774-3.583 8.694-8.331 9.116a.916.916 0 00-.832.993c.044.506.531.873.993.833C49.7 30.767 54 26.063 54 20.333c0-5.643-4.263-10.338-9.803-10.92C41.865 4.894 37.135 2 32 2c-6.54 0-12.195 4.686-13.464 11.022-4.761.325-8.536 4.301-8.536 9.145 0 5.054 4.112 9.166 9.167 9.166zm4.583-3.666a.917.917 0 01-.917-.917v-9.167a.917.917 0 011.834 0v9.167c0 .506-.411.917-.917.917zm15.583-.917a.917.917 0 001.834 0v-9.167a.917.917 0 00-1.834 0v9.167zm-8.25.917h1.834a2.753 2.753 0 002.75-2.75v-5.5a2.753 2.753 0 00-2.75-2.75h-1.834a2.753 2.753 0 00-2.75 2.75v5.5a2.753 2.753 0 002.75 2.75zm-.916-8.25c0-.506.412-.917.916-.917h1.834c.504 0 .916.41.916.917v5.5a.918.918 0 01-.916.916h-1.834a.918.918 0 01-.916-.916v-5.5zm9.166 22a.917.917 0 001.834 0V32.25a.917.917 0 00-1.834 0v9.167zm-13.75.916h1.834a2.753 2.753 0 002.75-2.75v-5.5a2.753 2.753 0 00-2.75-2.75h-1.834a2.753 2.753 0 00-2.75 2.75v5.5a2.753 2.753 0 002.75 2.75zm-.916-8.25c0-.506.412-.916.916-.916h1.834c.504 0 .916.41.916.916v5.5a.918.918 0 01-.916.917h-1.834a.918.918 0 01-.916-.917v-5.5zm9.166 7.334a.917.917 0 001.834 0V32.25a.917.917 0 00-1.834 0v9.167z"},{"tooltip":"wiki","href":"https://wiki.beta.swayme.xyz","svgData":""}]}'),l={37:1,38:1,39:1,40:1},h=a=>a.preventDefault(),o=a=>{if(l[a.keyCode])return h(a),!1};let r=!1;window.addEventListener("setPassive",null,Object.defineProperty({},"passive",{get:function(){r=!0}}));const c=!!r&&{passive:!1},v="onwheel"in document.createElement("div")?"wheel":"mousewheel",m=({enable:a})=>{const e=a?window.removeEventListener:window.addEventListener;e("DOMMouseScroll",h,!1),e(v,h,c),e("touchmove",h,c),e("keydown",o,!1),document.body.style.overflow=a?"scroll":"hidden"},d={lg:{width:65,height:45},sm:{width:43,height:30},none:{width:0,height:0}},g=(a,e=0)=>Math.max(e,a-window.scrollY/5),p=(a,{lg:e,sm:t})=>{a.setAttribute("height",g(e.height,t.height)),a.setAttribute("width",g(e.width,t.width)),a.style.transform="scale(1)"};customElements.define("sway-footer",class extends e{constructor(){const a=document.createElement("footer");super(a,s),this.footer=a}connectedCallback(){var a;this.footer.innerHTML=`<div class="footer-container" >\n        <div class="footer-menus">\n        \n        ${a=n.I,a.map((({title:a,links:e})=>`\n          <div>\n            <h4>${a}</h4>\n            ${e.map((({name:a,href:e})=>`\n                   <a  href="${e}" >\n                     ${a}\n                   </a>\n                   <br></br>\n                 `)).join("")}\n          </div>\n        `)).join("")}\n</div>\n        <div class="footer-copy">© Sway 2021. Opening gardens 🌻 </div>\n        <div class="footer-icons">\n            ${t(n.c,{height:45,width:45})}\n        </div>\n    </div>`}}),customElements.define("sway-nav",class extends e{constructor(){const a=document.createElement("nav");super(a,"\n.nav-container {\n    flex: 1;\n    display: flex;\n    align-items: center;\n    justify-content: space-between;\n    padding: 0 16px;\n}\n\n.nav-center,\n.nav-container,\n.nav-left {\n    display: flex;\n}\n\n.nav-left {\n    align-items: center;\n}\n\n.nav-toggle {\n    display: none;\n    margin-right: 8px;\n}\n\n.nav-overlay {\n    display: none;\n    background: rgba(0, 0, 0, 0.6);\n    height: 100vh;\n    width: 100vw;\n}\n\n.nav-sidebar {\n    background: var(--light-gray-grad);\n    width: 75vw;\n    height: 100vh;\n    transform: translateX(-100%);\n    transition: var(--transition);\n}\n\n.nav-overlay,\n.nav-sidebar {\n    position: absolute;\n    top: 0;\n    left: 0;\n    z-index: 99;\n}\n@media (max-width: 980px) {\n    .nav-center {\n        display: none;\n    }\n\n    .nav-toggle {\n        display: block;\n    }\n\n    .nav-logo a svg,\n    .nav-right a svg {\n        transform: scale(0.66);\n    }\n}\n\n  .sidebar-header {\n    height: 60px;\n    border-bottom: 2px solid rgba(0, 0, 0, 0.1);\n    display: flex;\n    align-items: center;\n    padding: 0 16px;\n  }\n  .sidebar-labels {\n    padding: 8px; 4px;\n    display: flex;\n    flex-direction: column;\n    align-items: flex-start;\n  }\n  .sidebar-labels div {\n    width: 95%;\n    display: flex;\n    padding: 4px 16px;\n    border-radius: 3px;\n  }\n  .sidebar-labels div:hover {\n    background: rgba(0, 0, 0, 0.05);\n  }\n"),this.nav=a}connectedCallback(){var a;this.nav.innerHTML=`\n      <div class="nav-overlay"></div>\n      <div class="nav-sidebar">${a=i.c,`<div>\n  <div class="sidebar-header">\n    ${t(a.slice(0,1),{width:45,height:30})}\n  </div>\n  <div class="sidebar-labels">\n  \n    ${a.filter((a=>a.label)).map((({label:a,href:e})=>`<div>\n    <a href="${e}">${a}</a>\n</div>\n`)).join("")}\n    <div>\n    \n    ${t(a.slice(-1),{width:33,height:33})}\n</div>    \n    </div>\n</div>`}</div>\n      <div class="nav-container">\n        <div class="nav-left">\n          <a title="toggle" class="nav-toggle">\n              <svg fill="white" width="30" height="30" viewBox="0 0 30 30">\n                <path\n                  stroke="white"\n                  stroke-linecap="round"\n                  stroke-miterlimit="10"\n                  stroke-width="2"\n                  d="M4 7h22M4 15h22M4 23h22"\n                />\n              </svg> \n          \n          </a>\n        <div class="nav-logo">${t(i.c.slice(0,1),d.lg)}</div>\n      </div>\n        <div class="nav-center">${t(i.c.slice(1,-1),d.lg)}</div>\n        <div class="nav-right">${t(i.c.slice(-1),d.lg)}</div>\n      </div>\n    `,this.showSidebar();const e=""===this.getAttribute("full");if(null===this.getAttribute("full")){this.nav.style.height="60px";const{noLabelSvgs:a,labelSvgs:e}=this.getSvgs();e.forEach((a=>{a.style.display="none"})),a.forEach((a=>{a.style.transform="scale(0.66)"}))}e&&this.enableDynamicScroll()}enableDynamicScroll(){const{noLabelSvgs:a,labelSvgs:e}=this.getSvgs();window.onscroll=()=>{window.innerWidth>982&&(this.nav.style.height=`${g(100,60)}px`,a.forEach((a=>{p(a,d)})),e.forEach((a=>{p(a,{...d,sm:{height:0,width:0}})})))}}getSvgs(){return{noLabelSvgs:Array.from(this.nav.querySelectorAll("a:not([title='']) svg")),labelSvgs:Array.from(this.nav.querySelectorAll("a[title=''] svg"))}}showSidebar(){const a=this.nav.querySelector(".nav-toggle"),e=this.nav.querySelector(".nav-overlay"),t=this.nav.querySelector(".nav-sidebar");a.onclick=()=>{m({enable:!1}),e.style.display="block",t.style.transform="translateX(0%)"},e.onclick=()=>{m({enable:!0}),e.style.display="none",t.style.transform="translateX(-100%)"}}}),customElements.define("announcement-bar",class extends e{constructor(){const a=document.createElement("div");super(a,"\n.beta { \n    background: white;\n    font-size: 85%;\n    text-align: center;\n    padding: 7px;\n    color: slategray;\n}\n.beta > a {\n  text-decoration: underline;\n  color: slategrey;\n}\n"),this.beta=a}connectedCallback(){this.beta.innerHTML="<div class=\"beta\" >\n        <b>BETA:</b> &nbsp; Many features not implemented. &nbsp; <a href='https://gitlab.com/groups/sway-me/-/boards/'>Contributions welcome</a> &nbsp; 🚀\n    </div>"}})})();